
"""Additional protocol data not specified in xcb-proto.

This should go upstream in some form at some point.
"""


VALUE_MASK_TO_ENUM = {
    (('xcb', 'CreateWindow'), 'value_mask'): 'CW',
    (('xcb', 'ChangeWindowAttributes'), 'value_mask'): 'CW',
    (('xcb', 'ConfigureWindow'), 'value_mask'): 'ConfigWindow',
    (('xcb', 'CreateGC'), 'value_mask'): 'GC',
    (('xcb', 'ChangeGC'), 'value_mask'): 'GC',
    (('xcb', 'ChangeKeyboardControl'), 'value_mask'): 'KB',

    (('xcb', 'XPrint', 'PrintSelectInput'), 'event_mask'): 'EvMask',

    (('xcb', 'Render', 'CreatePicture'), 'value_mask'): 'CP',
    (('xcb', 'Render', 'ChangePicture'), 'value_mask'): 'CP',

    # TODO: screensaver:SetAttributes

    (('xcb', 'Sync', 'CreateAlarm'), 'value_mask'): 'CA',
    (('xcb', 'Sync', 'ChangeAlarm'), 'value_mask'): 'CA',
    }
